﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=6.31
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
Dim sql1 As SQL 
Dim cur As Cursor 
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
Dim series1 As bargraphseries 
Dim graphview As graph 
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")

	'if it does not exist then copy database file to DirDefaultExternal Folder
	If File.Exists(File.DirDefaultExternal, "datesexample.db") = False Then
		File.Copy(File.DirAssets, "datesexample.db", File.DirDefaultExternal, "datesexample.db")
	End If
	
	'Initialize Database file
	sql1.Initialize(File.DirDefaultExternal, "datesexample.db", False)
	'Query all records from the dates table
	cur = sql1.ExecQuery("SELECT * FROM dates")
	
	'we need to change the date and time format to match the date and time format in our database
	DateTime.DateFormat = "yyyy-MM-dd"
	DateTime.TimeFormat = "HH:mm"
	
	'define our array to hold the dates for x axis
	Dim dates(cur.RowCount) As Double
	'define our Y axis array to hold the glucose levels
	Dim yy(cur.RowCount) As Double
	
	For j = 0 To cur.RowCount - 1
		cur.Position = j
		Dim datesplit() As String  'define an array to hold the date and time after we split it                                                                   
		datesplit = Regex.Split(" ", cur.GetString("Date")) 'split Date and  Time at the Space between Date and Time ex.  "2015-1-16 14:30"
		Log("epoch: " & DateTime.DateTimeParse(datesplit(0), datesplit(1)))
		dates(j) = DateTime.DateTimeParse(datesplit(0), datesplit(1))   'convert date and time to epoch values so that the graph library can use them
		yy(j) = cur.GetString("Glucose")   'get the glucose readings from database
	Next

	'Initialize series with eventName, Title, color, Dates(true/false) data array for x axis, data array for Y axis
	series1.Initialize("dates", "Dates Series", Colors.Blue, True, dates, yy)
	'Initialize graphview with Title
	graphview.Initialize("Example with Dates")
	'Initialize Bargraphseries Dates(true/false) bargraph series to be added
	graphview.AddBarSeries(True, False, Array As bargraphseries(series1))
	'sets the graph's title color
	graphview.SetGraphTitleColor(Colors.DarkGray)
	'sets the graph's title size
	graphview.SetGraphTitleSize(110)
	'enables the series values to be shown on top of each bar, sets the color as well
	series1.showBarValues(series1, Colors.Black)
	'adds the graphview to the activity
	Activity.AddView(graphview, 0, 0, 100%x, 100%y)
	
	
	
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

'series click event to display or log data being clicked on the bar series
Sub dates_SeriesClicked (xdata As String, ydata As String)
	ToastMessageShow(DateTime.Date(xdata) & " / " & ydata, False)
End Sub


